namespace :artisan do

  namespace :db do

    desc "Perform database migrations"
    task :migrate do
      on roles(:db) do
        within current_path do
          execute :php, "artisan migrate"
        end
      end
    end
    
    desc "Refresh database schema" # this will delete all the things
    task :refresh do
      on roles(:db) do
        within current_path do
          execute :php, "artisan migrate:refresh"
        end
      end
    end

    desc "Seed the database"
    task :seed do
      on roles(:db) do
        within current_path do
          execute :php, "artisan db:seed"
        end
      end
    end
    
    desc "Seed a specific class"
    task :seed_class do
      ask(:seed_class, "seeder")
      on roles(:db) do |h|
        within current_path do
          execute :php, "artisan db:seed --class=#{fetch(:seed_class)}"  
        end        
      end
    end

  end
  
  namespace :app do
    
    desc "Make the storage dir more accessible"
    task :storage do
      on roles(:app) do
        within current_path do
          execute :sudo, "chmod -R 777 app/storage"
        end
      end
    end
    
  end

end
